Skip to main content

Downloading

Dependencies

Java Requirements

Spnego requires 1.6 or higher at runtime.

JSR196 Compliant Web Container

The following have been tested:

  • Glassfish v2

    The following are non compliant:

  • Glassfish V2
  • Tomcat 6 and lower
  • Jetty 6 and lower

File Download

Download spnego from http://spnego.java.net/servlets/ProjectDocumentList

The tarball includes the Apache commons-codec.

Maven Dependency

Spnego releases are placed in the java.net Maven repository.

The Maven pom.xml snippet for spnego 1.1 is:

     <dependency>
        <groupId>java.net.spnego</groupId>
        <artifactId>spnego</artifactId>
        <version>1.1</version>
     </dependency>

You will also need to have the Maven2 Java.net repository in your pom. Add this to the repositories element:

    <repository>
        <id>maven2-repository.java.net</id>
        <name>Java.net Repository for Maven</name>
        <url>http://download.java.net/maven/2</url>
        <layout>default</layout>
        <releases>
            <enabled>true</enabled>
            <updatePolicy>daily</updatePolicy>
        </releases>
        <snapshots>
            <enabled>false</enabled>
            <updatePolicy>never</updatePolicy>
        </snapshots>
    </repository>

 
 
Close
loading
Please Confirm
Close